Luxor PlatformAPI DocumentationEnergyAncillary Services
List AS awards
Retrieves a paginated list of AS awards for a specific site.
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
site_id*Site Id
Format
uuidpage_number?Page Number
Page number for pagination
Range
1 <= valueDefault
1page_size?Page Size
Number of items per page
Range
1 <= value <= 1000Default
100Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/energy/as-awards?site_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "as_awards": [ { "as_iso_name": "ERCOT", "as_type": "REG_UP", "clearing_price": "45.75", "comments": "Regulation Up service award", "created_at": "2025-01-15T13:50:00Z", "end_time": "2025-01-15T15:00:00Z", "hour_ending": 15, "id": "9d9e577d-3058-5ea1-a331-6d1ef6625c33", "opr_date": "2025-01-15", "quantity_kw": "150.0", "site_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "start_time": "2025-01-15T14:00:00Z" } ], "pagination": { "page_number": 0, "page_size": 0, "item_count": 0, "previous_page_url": "string", "next_page_url": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}